<!--
SPDX-FileCopyrightText: Huawei Inc.

SPDX-License-Identifier: CC-BY-4.0
-->

# All Scenarios OS Documentation Repository

[![Documentation Status](https://readthedocs.org/projects/allscenarios/badge/?version=latest)](https://allscenarios.readthedocs.io/en/latest/?badge=latest)

This repository provides the overarching documentation of the All Scenarios OS
project. It does that by aggregating multiple `sphinx` projects part of
the All Scenarios OS ecosystem and consolidating all these documentation trees as part of
one, project-wide, `sphinx` project.

## Read The Docs

As part of the All Scenarios OS infrastructure, this documentation is pushed to a
Read The Docs project. You can inspect the `latest` version
[online](https://allscenarios.readthedocs.io/en/latest) or download it as
[PDF](https://allscenarios.readthedocs.io/_/downloads/en/latest/pdf/).

## Building the docs

As per the current implementation for satisfying aggregation of multiple
`sphinx` projects, the repository takes advantage of symlinks which assume a
workspace set up from [the manifest repository](https://git.ostc-eu.org/OSTC/OHOS/manifest/).
Once that is initialized and synced, one can build/validate the documentation
by simply running:

```
make
```

## Contributing

See the `CONTRIBUTING.md` file.

## License

The license of this repository is as follows:

* Documentation text is under `CC-BY-4.0` license
* Scripts, tools, and so on, are under `Apache-2.0` license

See the `LICENSES` subdirectory for full license texts.
